<template>
 <div>
  <!-- Table Container Card -->
  <b-card
    no-body
    title="Lista de impuestos"
  >

    <div class="m-2">

      <!-- Table Top -->
      <b-row>

        <!-- Per Page -->
        <b-col
          cols="12"
          md="6"
          class="d-flex align-items-center justify-content-start mb-1 mb-md-0"
        >
        </b-col>
      </b-row>

    </div>

    <b-table
      :items="taxes"
      responsive
      :fields="tableColumns"
      :filter="searchQuery"
      primary-key="id"
      show-empty
      empty-text="No se encotraron registros"
      class="position-relative"
    >

      <!-- Column: Id -->
      <template #cell(id)="data">
        <b-link
          :to="{ name: 'apps-invoice-preview', params: { id: data.item.id }}"
          class="font-weight-bold"
        >
          #{{ data.value }}
        </b-link>
      </template>

    
      <!-- Column: Actions -->
      <template #cell(Acciones)="data">

         <div class="text-nowrap">
          <feather-icon
            :id="`taxe-row-${data.item.id}-edit-icon`"
            
            icon="EditIcon"
            size="16"
            class="mx-1"
            @click="showModal(data.item.id)"
          />

        </div> 
      </template>

    </b-table>
    <div class="mx-2 mb-2">
      
    </div>
    <modal-edit @success="reload" :id="id"></modal-edit>
  </b-card>

 </div>
</template>

<script>
import {
  BCard, BRow, BCol, BFormInput, BButton, BTable, BMedia, BAvatar, BLink,
  BBadge, BDropdown, BDropdownItem, BPagination, BTooltip,
} from 'bootstrap-vue'
import vSelect from 'vue-select'
import modalEdit from './EditValueTaxe.vue'

export default {
  components: {
      modalEdit,
    BCard,
    BRow,
    BCol,
    BFormInput,
    BButton,
    BTable,
    BMedia,
    BAvatar,
    BLink,
    BBadge,
    BDropdown,
    BDropdownItem,
    BPagination,
    BTooltip,

    vSelect,
  },
  data() {
    return {
      taxes:[],
      id:0,
      tableColumns :[
        { key: 'id', label: '#', sortable: true },
        { key: 'country',label: 'País', sortable: true },
        { key: 'value',label: 'Valor', sortable: true },
        { key: 'currency',label: 'Moneda', sortable: true },
        { key: 'Acciones' },
      ],
      searchQuery:'',
    }
  },
  methods:{
    getTaxes(){
      this.$http.get('taxe').then(res=>{
        this.taxes = res.data.taxes
        console.log(this.taxes);
      }).catch(err=>{
        console.log(err);
      })
    },
    showModal(id){
    this.id=id
    
      this.$bvModal.show('modal-editTaxe')
    },
    reload(e){
      if(e){
        this.getTaxes()
      }
    },
  },
  mounted(){
    this.getTaxes()
  }
}
</script>

<style lang="scss" scoped>
.per-page-selector {
  width: 90px;
}

.invoice-filter-select {
  min-width: 190px;

  ::v-deep .vs__selected-options {
    flex-wrap: nowrap;
  }

  ::v-deep .vs__selected {
    width: 100px;
  }
}
</style>

<style lang="scss">
@import '@core/scss/vue/libs/vue-select.scss';
</style>
